This module allows interfacing to all Nagios plugins, located either on the local host or on a remote host (no special plugin required). More information on the excellent monitoring software Nagios and its plugins can be found at http://www.nagios.org/ and http://nagiosplug.sourceforge.net/.
Note: this module is currently in development: please report any bugs, comments, requests, ... at http://moodss.sourceforge.net/.

It is mandatory for the plugin to support the -V option as moodss uses it in the module initialization phase to check that the plugin path is actually valid and possibly report errors early to the user.

If no thresholds have been previously set, as when the module is first loaded and is not already part of a saved dashboard, the following thresholds are automatically preset:

- OK status: value = 0, color = green, level = info
- Warning status: value = 1, color = orange, level = warning
- Critical status: value = 2, color = red, level = critical
- Unknown status: value = 3, color = white, level = notice, inactive

These thresholds can be modified to include emails, script execution on event, ... (see the moodss documentation on thresholds for more information).
The module title (or identifier) is set to nagios(plugin) when locally monitoring and nagios(host,plugin) when remotely monitoring. Note that the directory path and plugin file extension are not included in the identifier.

Module options:

- --command string
  The plugin command made from the plugin name (command path and check_ parts optional) followed by its options, as one would type on a command line (see examples below).
- -C (only available for ssh on UNIX client)
  Whether data compression is used on all data between client and server (useful on slow connections, see ssh manual for detailed information).
- -i file (only available for ssh on UNIX client)
  Selects a file from which the identity (private key) for authentication is read (useful if an authentication agent is not running). It must not be protected by a passphrase.
- --identifier string
  Forces the module identifier, which then appears as nagios(string) as the module table title.
- -p port (only available for ssh on UNIX client)
  Port to connect to on the remote host.
- -r (--remote) [[rsh|ssh]://][user@]host
  Remote monitoring using user as logname on remote host host (rsh or ssh facilities must be properly setup). If user is not specified, current user is used as logname on remote host. The protocol is either ssh or rsh (used by default).
  When there is a communication error with the remote host, all rows disappear and the displayed table becomes empty. A descriptive error message is also generated in such a case.

Notes on remote monitoring:

- Using ssh is strongly recommended, as rsh, while being much less secure is also less efficient, as it requires creating a new session for each poll.
- On a Windows client, you must use the putty software package (see install.txt), which does not support rsh in non interactive sessions. Consequently, the -r (--remote) ssh://session syntax is required to remove any confusion (where session has been added to the running pageant application).
- If the plugin monitors a remote host using its (standard) -H option, the module identifier is set to nagios(plugin,host).

Examples:

    $ moodss nagios --command 'disk -c 5 -w 10'
    $ moodss nagios --command 'check_disk -c 5 -w 10'
    $ moodss nagios --command '/usr/local/nagios/plugins/check_disk -c 5 -w 10'
    $ moodss nagios --command 'load -c 70,50,30 -w 50,30,20' -r jdoe@foo.bar.com
    $ moodss nagios --command 'procs -w 100 -c 200' -r ssh://jdoe@foo.bar.com
    $ moodss nagios --command 'disk -c 5 -w 10' --remote foo.bar.com